#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    unsigned long int n;
    long int x;
    scanf("%lu %li",&n,&x);

    long int i;
    long int a[n];
    for(i=0;i<n;i++)
        scanf("%li",&a[i]);

    long int min;
    min = x;
    for(i=0;i<n;i++)
    {
        if(a[i]<min)
            min=a[i];
    }
    long int max;
    max = x;
    for(i=0;i<n;i++)
    {
        if(a[i]>max)
            max=a[i];
    }

    long int f1,f2,f;
    if(abs(max-x)<abs(min-x))
    {
        f1 = x - min;
        f2 = max - abs(min);
        f = f1 + abs(f2);
    }
    else
    {
        f1 = x - min;
        f2 = max - min;
        f = f1 + abs(f2);
    }


    printf("%li",f);


    return 0;
}